# Docker Role: Flask-based Portfolio Setup 🚀

This Ansible role facilitates setting up a Flask-based [portfolio application](https://github.com/kevinveenbirkenbach/portfolio) in a Docker container. It allows you to showcase your projects, services, or online presence using a customizable YAML configuration file.

## Attention

The default template creates the links based on ``group_names``. If you run this script seperate, may not all necessary menu items are generated. 

## Features ✨

- **Automated Setup**: Quickly deploy a portfolio using Docker.
- **Customizable Content**: Modify the portfolio using a YAML file.
- **Responsive Design**: Built with Bootstrap for optimal viewing on any device.
- **Dynamic Navigation**: Multi-level menus using nested YAML configurations.
- **Cache Management**: Efficient asset caching for improved performance.

## Author

This role was developed by [Kevin Veen-Birkenbach](https://www.veen.world).